Summary: Lightweight, easy to configure DNS forwarder and DHCP server
Name: dnsmasq
Version: 2.71
Release: r0.0
License: GPLv2 | GPLv3
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.thekelleys.org.uk/dnsmasq/doc.html
BuildRequires: pkgconfig-native
BuildRequires: update-rc.d-native
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: /bin/sh
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc6 >= 2.20+sdkwrl7+19
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): /bin/sh
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+19
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): /bin/sh
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+19
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): /bin/sh
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+19
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): /bin/sh
Suggests: update-rc.d
Provides: elf(buildid) = 88c5d66e2da9c80073cbebf13b8f88890a5a2ed6
Provides: elf(buildid) = 9fe96154813c7dc602285443aa0f93f65187c587
Provides: dnsmasq-systemd
Obsoletes: dnsmasq-systemd

%description
Lightweight, easy to configure DNS forwarder and DHCP server.

%package -n dnsmasq-dbg
Summary: Lightweight, easy to configure DNS forwarder and DHCP server - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: dnsmasq = 2.71-r0.0

%description -n dnsmasq-dbg
Lightweight, easy to configure DNS forwarder and DHCP server.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n dnsmasq-staticdev
Summary: Lightweight, easy to configure DNS forwarder and DHCP server - Development files (Static Libraries)
Group: devel
Requires: dnsmasq-dev = 2.71-r0.0

%description -n dnsmasq-staticdev
Lightweight, easy to configure DNS forwarder and DHCP server.  This package
contains static libraries for software development.

%package -n dnsmasq-dev
Summary: Lightweight, easy to configure DNS forwarder and DHCP server - Development files
Group: devel
Requires: dnsmasq = 2.71-r0.0
Suggests: libc6-dev
Suggests: initscripts-dev

%description -n dnsmasq-dev
Lightweight, easy to configure DNS forwarder and DHCP server.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n dnsmasq-doc
Summary: Lightweight, easy to configure DNS forwarder and DHCP server - Documentation files
Group: doc

%description -n dnsmasq-doc
Lightweight, easy to configure DNS forwarder and DHCP server.  This package
contains documentation.

%package -n dnsmasq-locale
Summary: Lightweight, easy to configure DNS forwarder and DHCP server
Group: console/network

%description -n dnsmasq-locale
Lightweight, easy to configure DNS forwarder and DHCP server.

%pre
# dnsmasq - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/dnsmasq" ]; then
	/etc/init.d/dnsmasq stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT dnsmasq remove
fi


%post
# dnsmasq - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT dnsmasq defaults
fi


%preun
# dnsmasq - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/dnsmasq stop
fi
fi

%postun
# dnsmasq - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT dnsmasq remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
%dir "/etc/dnsmasq.d"
%config "/etc/dnsmasq.conf"
"/etc/init.d/dnsmasq"
%dir "/usr/bin"
"/usr/bin/dnsmasq"
"/usr/bin/dhcp_release"

%files -n dnsmasq-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/dnsmasq"
%dir "/usr/src/debug/dnsmasq/2.71-r0"
%dir "/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71"
%dir "/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/contrib"
%dir "/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src"
%dir "/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/contrib/wrt"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/contrib/wrt/dhcp_release.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/forward.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dhcp-protocol.h"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/tftp.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/cache.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/rfc3315.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/util.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/option.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dnsmasq.h"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/radv.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dhcp-common.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/domain.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/netlink.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/network.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/log.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/config.h"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dns-protocol.h"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/lease.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dhcp.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/outpacket.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dnsmasq.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/auth.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/radv-protocol.h"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/dhcp6.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/helper.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/rfc2131.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/slaac.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/rfc1035.c"
"/usr/src/debug/dnsmasq/2.71-r0/dnsmasq-2.71/src/ipset.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/dnsmasq"
"/usr/bin/.debug/dhcp_release"

%files -n dnsmasq-dev
%defattr(-,-,-,-)

%files -n dnsmasq-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/dnsmasq.8"

